<?php

namespace BookneticAddon\MolliePaymentGateway\Backend;

use BookneticAddon\MolliePaymentGateway\MollieAddon;
use BookneticAddon\MolliePaymentGateway\MollieHelper;
use BookneticApp\Providers\Helpers\Helper;

class Ajax extends \BookneticApp\Providers\Core\Controller
{
    public function get_billing_countries()
    {
        $search = Helper::_post( 'q', '', 'string' );

        $allData = MollieHelper::getAllBillingCountries();
        $queriedData = [];

        foreach ( $allData as $d )
        {
            if ( str_contains( $d[ 'text' ], $search ) )
                $queriedData[] = $d;
        }

        return $this->response(true, [ 'results' => $queriedData ]);
    }

    private static function setMethodNames( array $paymentMethods ) : array
    {
        foreach ( $paymentMethods as &$method )
            $method[ 'name' ] = MollieHelper::getMethodNameById( $method[ 'id' ] );

        return $paymentMethods;
    }

    public function update_available_methods()
    {
        $country = Helper::_post( 'country', '', 'string' );

        $paymentMethods = MollieAddon::filterMethods( Helper::getOption( 'currency', 'USD' ), $country );

        return $this->response( true, [
            'all-payment-methods' => self::setMethodNames( $paymentMethods ),
            'selected-payment-methods' => Helper::getOption( 'mollie_selected_payment_methods', [] )
        ] );
    }
}
