<?php

defined( 'ABSPATH' ) or die();

use BookneticAddon\MolliePaymentGateway\MollieHelper;
use BookneticApp\Providers\Helpers\Helper;
use function BookneticAddon\MolliePaymentGateway\bkntc__;

/**
 * @var mixed $parameters
 */

?>

<div class="form-group col-md-12">
    <label for="input_mollie_api_key"><?php echo bkntc__('Api key')?>:</label>
    <input class="form-control" id="input_mollie_api_key" value="<?php echo htmlspecialchars( Helper::getOption('mollie_api_key', '') )?>">
</div>

<div class="form-group col-md-12 methods_container">
    <div class="switch_container mb-4">
        <span class="specific_methods_label mr-3"><?php echo bkntc__('Use specific payment methods')?></span>
        <div class="fs_onoffswitch">
            <input type="checkbox" name="enable_specific_methods" class="bkntc_use_specific_payment_methods fs_onoffswitch-checkbox green_switch" id="enable_specific_methods" <?php echo Helper::getOption( 'mollie_use_selected_payment_methods', 0 ) ? 'checked' : '';?>>
            <label class="fs_onoffswitch-label" for="enable_specific_methods"></label>
        </div>
    </div>

    <div id="selected-payment-methods" style="display: <?php echo Helper::getOption( 'mollie_use_selected_payment_methods', 0 ) ? '' : 'none;';?>">
        <div class="form-group col-md-12">
            <label for="billing_country"><?php echo bkntc__('Billing Country')?>:</label>
            <select class="form-control select2-hidden-accessible" id="billing_country">
                <option value=""></option>

                <?php
                foreach ( MollieHelper::getAllBillingCountries() AS $bc )
                {
                    ?>
                    <option value="<?php echo $bc[ 'id' ] ?>" <?php echo $bc[ 'id' ] === Helper::getOption( 'mollie_billing_country', '' ) ? ' selected' : '' ?>><?php echo $bc[ 'text' ] ?></option>
                    <?php
                }
                ?>

            </select>
        </div>

        <div id="mollie-warning" style="text-align: center; display: none;" class="alert alert-warning" role="alert">
            <?php echo bkntc__('Payment methods of Mollie payment gateway vary based on the chosen Booknetic currency and customers\' billing country.') ?>
        </div>

        <div id="payment-methods" class="form-group col-12">

            <?php
            foreach ( $parameters[ 'all-payment-methods' ] as $paymentMethod )
            {
                $selected = '';
                $methodId = $paymentMethod[ 'id' ];
                $methodName = MollieHelper::getMethodNameById( $methodId );
                $methodImage = $paymentMethod[ 'image' ];
                $inputID = 'select_payment_method' . '_' . $methodId;

                if ( in_array( $methodId, $parameters[ 'selected-payment-methods' ] ) )
                {
                    $selected = 'checked';
                }

                echo
                    <<<HTML
                        <div class="method">
                            <figure class="method-icon"><img src="$methodImage"></figure>
                            <span class="method-name">$methodName</span>
                            <div class="fs_onoffswitch">
                                <input type="checkbox" class="bkntc_use_specific_payment_methods fs_onoffswitch-checkbox green_switch" id="$inputID" $selected>
                                <label class="fs_onoffswitch-label" for="$inputID"></label>
                                <input type="hidden" value="$methodId">
                            </div>
                        </div>
                    HTML;
            }
            ?>

        </div>
    </div>

</div>
