<?php

namespace BookneticAddon\WCPaymentGateway\Backend;

use BookneticApp\Config;
use BookneticApp\Providers\Helpers\Helper;
use BookneticApp\Providers\Core\Permission;

class Ajax extends \BookneticApp\Providers\Core\Controller
{

    public function woocommerce_settings ()
    {
        if ( ! ( Helper::isSaaSVersion() && Permission::isSuperAdministrator() ) )
        {
            return $this->response( false, \BookneticAddon\WCPaymentGateway\bkntc__( 'Selected settings not found!' ) );
        }

        $shortcodeList = Config::getShortCodeService()->getShortCodesList();

        return $this->modalView( 'woocommerce_settings_saas', [
            'all_shortcode' => $shortcodeList,
        ] );
    }

    public function save_woocommerce_settings()
    {
        $allow_to_use_woocommerce_integration	= Helper::_post('allow_to_use_woocommerce_integration', 'off', 'string', ['on', 'off']);
        $woocommerce_skip_confirm_step          = Helper::_post('woocommerce_skip_confirm_step', 'on', 'string', ['on', 'off']);
        $woocommerde_order_details	            = Helper::_post('woocommerde_order_details', '', 'string');
        $woocommerce_rediret_to	                = Helper::_post('woocommerce_rediret_to', 'cart', 'string', ['cart', 'checkout']);
        $woocommerce_order_statuses	            = Helper::_post('woocommerce_order_statuses', '', 'string');
        $woocommerce_approved_order_status	    = Helper::_post('woocommerce_approved_order_status', '', 'string');
        $woocommerce_pending_order_statuses     = Helper::_post('woocommerce_pending_order_statuses', '', 'string');

        Helper::setOption('allow_to_use_woocommerce_integration',   $allow_to_use_woocommerce_integration);
        Helper::setOption('woocommerce_skip_confirm_step',          $woocommerce_skip_confirm_step);
        Helper::setOption('woocommerde_order_details',              $woocommerde_order_details);
        Helper::setOption('woocommerce_rediret_to',                 $woocommerce_rediret_to);
        Helper::setOption('woocommerce_order_statuses',             $woocommerce_order_statuses);
        Helper::setOption('woocommerce_approved_order_status',      $woocommerce_approved_order_status);
        Helper::setOption('woocommerce_pending_order_statuses',     $woocommerce_pending_order_statuses);

        return $this->response(true);
    }

}
