<?php

defined( 'ABSPATH' ) or die();

use BookneticAddon\WCPaymentGateway\WcPaymentGatewayAddon;
use BookneticApp\Providers\Helpers\Helper;
use BookneticSaaS\Providers\Helpers\Date;
use function BookneticAddon\WCPaymentGateway\bkntc__;
?>

<script>
    var all_shortcodes = <?php echo json_encode($parameters['all_shortcode']) ?>;
    var all_shortcodes_obj = {};
    all_shortcodes.forEach((value,index)=>{
        all_shortcodes_obj[value.code] = value.name;
    });
</script>

<div id="booknetic_settings_area">
	<link rel="stylesheet" href="<?php echo WcPaymentGatewayAddon::loadAsset('assets/backend/css/woocommerce_settings_saas.css')?>">
	<script type="application/javascript" src="<?php echo WcPaymentGatewayAddon::loadAsset('assets/backend/js/woocommerce_settings_saas.js')?>"></script>
    <script src="<?php echo Helper::assets('plugins/summernote/summernote-lite.min.js')?>"></script>
    <link rel="stylesheet" href="<?php echo Helper::assets('plugins/summernote/summernote-lite.min.css')?>">
    <script src="<?php echo Helper::assets('js/summernote.js')?>"></script>
    <link rel="stylesheet" href="<?php echo Helper::assets('css/summernote.css')?>" type="text/css">

	<div class="actions_panel clearfix">
		<button type="button" class="btn btn-lg btn-success settings-save-btn float-right"><i class="fa fa-check pr-2"></i> <?php echo bkntc__('SAVE CHANGES')?></button>
	</div>

	<div class="settings-light-portlet">
		<div class="ms-title">
			<?php echo bkntc__('Woocommerce settings')?>
		</div>
		<div class="ms-content">

			<form class="position-relative">

				<div class="form-row enable_disable_row">

					<div class="form-group col-md-2">
						<input id="input_allow_to_use_woocommerce_integration" type="radio" name="input_allow_to_use_woocommerce_integration" value="off"<?php echo Helper::getOption('allow_to_use_woocommerce_integration', 'off')=='off'?' checked':''?>>
						<label for="input_allow_to_use_woocommerce_integration"><?php echo bkntc__('Disabled')?></label>
					</div>
					<div class="form-group col-md-2">
						<input id="input_customer_panel_disable" type="radio" name="input_allow_to_use_woocommerce_integration" value="on"<?php echo Helper::getOption('allow_to_use_woocommerce_integration', 'off')=='on'?' checked':''?>>
						<label for="input_customer_panel_disable"><?php echo bkntc__('Enabled')?></label>
					</div>

				</div>

				<div id="woocommerce_settings_area">

					<div class="form-row">
						<div class="form-group col-md-6">
							<label>&nbsp;</label>
							<div class="form-control-checkbox">
								<label for="input_woocommerce_skip_confirm_step"><?php echo bkntc__('Skip the Confirmation step')?>: <i class="far fa-question-circle do_tooltip" data-content="<?php echo bkntcsaas__('If you enable this option, customers will be automatically redirected to the WooCommerce cart/checkout page in the confirmation step. It will disallow the customer to use some features like Coupons, Giftcards, and Deposits placed on the confirmation step. Nevertheless, If you disable this option, the confirmation step will stay active, and customers need to click the "Confirm Booking" button to redirect to the WooCommerce cart/checkout page.' )?>"></i></label>
								<div class="fs_onoffswitch">
									<input type="checkbox" class="fs_onoffswitch-checkbox" id="input_woocommerce_skip_confirm_step"<?php echo Helper::getOption('woocommerce_skip_confirm_step', 'on')=='on'?' checked':''?>>
									<label class="fs_onoffswitch-label" for="input_woocommerce_skip_confirm_step"></label>
								</div>
							</div>
						</div>

						<div class="form-group col-md-6">
							<label for="input_woocommerce_rediret_to"><?php echo bkntc__('Redirect customer to')?>:</label>
							<select class="form-control" id="input_woocommerce_rediret_to">
								<option value="cart" <?php echo Helper::getOption('woocommerce_rediret_to', 'cart')=='cart'?'selected':''?>><?php echo bkntc__('Cart page')?></option>
								<option value="checkout" <?php echo Helper::getOption('woocommerce_rediret_to', 'cart')=='checkout'?'selected':''?>><?php echo bkntc__('Checkout page')?></option>
							</select>
						</div>

						<div class="form-group col-md-12">
							<label for="input_woocommerce_order_statuses"><?php echo bkntc__('WooCommerce order statuses for approved appointments')?>:</label>
							<select class="form-control" id="input_woocommerce_order_statuses" multiple="multiple">
								<?php foreach ( wc_get_order_statuses() as $statusKey => $statusName ):?>
								<option value="<?php echo htmlspecialchars($statusKey)?>"<?php echo in_array( $statusKey, explode( ',', Helper::getOption('woocommerce_order_statuses', 'wc-processing,wc-on-hold,wc-completed') ) ) ? ' selected' : ''?>><?php echo htmlspecialchars($statusName)?></option>
								<?php endforeach;?>
							</select>
						</div>


                        <div class="form-group col-md-12">
                            <label for="input_woocommerce_pending_order_statuses"><?php echo bkntc__('WooCommerce order statuses for pending payments')?>:</label>
                            <select class="form-control" id="input_woocommerce_pending_order_statuses" multiple="multiple">
                                <?php foreach ( wc_get_order_statuses() as $statusKey => $statusName ):?>
                                    <option value="<?php echo htmlspecialchars($statusKey)?>"<?php echo in_array( $statusKey, explode( ',', Helper::getOption('woocommerce_pending_order_statuses', 'wc-processing,wc-on-hold,wc-pending') ) ) ? ' selected' : ''?>><?php echo htmlspecialchars($statusName)?></option>
                                <?php endforeach;?>
                            </select>
                        </div>

                        <div class="form-group col-md-12">
                            <label for="input_woocommerce_approved_order_status"><?php echo bkntc__('Successful order status for approved appointment')?>:</label>
                            <select class="form-control" id="input_woocommerce_approved_order_status">
                                    <option value="bkntc_dont_change"><?php echo bkntc__( 'Don\'t change' )?></option>
                                <?php foreach ( wc_get_order_statuses() as $statusKey => $statusName ):?>
                                    <option value="<?php echo htmlspecialchars($statusKey)?>"<?php echo Helper::getOption( 'woocommerce_approved_order_status', '', false )==$statusKey ? ' selected' : ''?>><?php echo htmlspecialchars($statusName)?></option>
                                <?php endforeach;?>
                            </select>
                        </div>

						<div class="form-group col-md-12">
							<label for="input_woocommerde_order_details"><?php echo bkntc__('Woocommerce order details')?>:</label>
							<textarea class="form-control" id="input_woocommerde_order_details"><?php echo htmlspecialchars( Helper::getOption('woocommerde_order_details', "Date: {appointment_date}\nTime: {appointment_start_time}\nStaff: {staff_name}") )?></textarea>
						</div>
					</div>

				</div>

			</form>

		</div>
	</div>
</div>