<?php

defined( 'ABSPATH' ) or die();

use BookneticApp\Providers\Helpers\Helper;
use function BookneticAddon\WCPaymentGateway\bkntc__;
$WCPaymentGateweyService = new \BookneticAddon\WCPaymentGateway\Providers\WcMultiTenantHelper();
$WCPaymentGateweyService->startReplacingNecessaryOptions();
$shortcode = \BookneticApp\Config::getShortCodeService()->getShortCodesList();
?>

<?php if ( ! Helper::isSaaSVersion() ): ?>

    <script src="<?php echo Helper::assets('plugins/summernote/summernote-lite.min.js')?>"></script>
    <link rel="stylesheet" href="<?php echo Helper::assets('plugins/summernote/summernote-lite.min.css')?>">
    <script src="<?php echo Helper::assets('js/summernote.js')?>"></script>
    <link rel="stylesheet" href="<?php echo Helper::assets('css/summernote.css')?>" type="text/css">

    <script>
        var all_shortcodes = <?php echo json_encode($shortcode) ?>;
        var all_shortcodes_obj = {};
        all_shortcodes.forEach((value,index)=>{
            all_shortcodes_obj[value.code] = value.name;
        });
    </script>

	<div class="form-group col-md-12">
		<div class="form-control-checkbox">
			<label for="input_woocommerce_skip_confirm_step"><?php echo bkntc__('Skip the Confirmation step')?>: <i class="far fa-question-circle do_tooltip" data-content="<?php echo bkntc__("If you use Deposit Payments or Coupons, then you can have a confirmation step for your customers. Otherwise, it will redirect to WooCommerce by automatically skipping this step.")?>"></i></label>
			<div class="fs_onoffswitch">
				<input type="checkbox" class="fs_onoffswitch-checkbox" id="input_woocommerce_skip_confirm_step"<?php echo Helper::getOption('woocommerce_skip_confirm_step', 'on')=='on'?' checked':''?>>
				<label class="fs_onoffswitch-label" for="input_woocommerce_skip_confirm_step"></label>
			</div>
		</div>
	</div>

	<div class="form-group col-md-12">
		<label for="input_woocommerce_rediret_to"><?php echo bkntc__('Redirect customer to')?>:</label>
		<select class="form-control" id="input_woocommerce_rediret_to">
			<option value="cart" <?php echo Helper::getOption('woocommerce_rediret_to', 'cart')=='cart'?'selected':''?>><?php echo bkntc__('Cart page')?></option>
			<option value="checkout" <?php echo Helper::getOption('woocommerce_rediret_to', 'cart')=='checkout'?'selected':''?>><?php echo bkntc__('Checkout page')?></option>
		</select>
	</div>

    <div class="form-group col-md-12">
        <label for="input_woocommerce_order_statuses"><?php echo bkntc__('WooCommerce order statuses for approved appointments')?>:</label>
        <select class="form-control" id="input_woocommerce_order_statuses" multiple="multiple">
            <?php foreach ( wc_get_order_statuses() as $statusKey => $statusName ):?>
                <option value="<?php echo htmlspecialchars($statusKey)?>"<?php echo in_array( $statusKey, explode( ',', Helper::getOption('woocommerce_order_statuses', 'wc-processing,wc-on-hold,wc-completed') ) ) ? ' selected' : ''?>><?php echo htmlspecialchars($statusName)?></option>
            <?php endforeach;?>
        </select>
    </div>

    <div class="form-group col-md-12">
        <label for="input_woocommerce_approved_order_status"><?php echo bkntc__('Successful order status for approved appointment')?>:</label>
        <select class="form-control" id="input_woocommerce_approved_order_status">
            <option value="bkntc_dont_change"> <?php echo bkntc__( 'Don\'t change' )?></option>
            <?php foreach ( wc_get_order_statuses() as $statusKey => $statusName ):?>
                <option value="<?php echo htmlspecialchars($statusKey)?>"<?php echo Helper::getOption( 'woocommerce_approved_order_status', 'dont_change' )==$statusKey ? ' selected' : ''?>><?php echo htmlspecialchars($statusName)?></option>
            <?php endforeach;?>
        </select>
    </div>

	<div class="form-group col-md-12">
		<label for="input_woocommerde_order_details"><?php echo bkntc__('Woocommerce order details')?>:</label>
		<textarea class="form-control" id="input_woocommerde_order_details"><?php echo htmlspecialchars( Helper::getOption('woocommerde_order_details', "Date: {appointment_date}\nTime: {appointment_start_time}\nStaff: {staff_name}") )?></textarea>
	</div>

<?php else: ?>

	<?php if ( ! class_exists( 'woocommerce' ) ): ?>

		<span class="text-secondary"><?php echo bkntc__('Other payment methods are not activated. Please contact the service provider.')?></span>

	<?php else: ?>

		<?php foreach ( $WCPaymentGateweyService->paymentGatewaysList() AS $paymentGateway ):?>

			<div class="row mb-3">
				<div class="col-md-9">
					<div class="form-control-checkbox">
						<label for="input_wc_payment_gateway_<?php echo htmlspecialchars($paymentGateway->id)?>"><?php echo htmlspecialchars($paymentGateway->title)?></label>
						<div class="fs_onoffswitch">
							<input type="checkbox" class="fs_onoffswitch-checkbox woocommerce_payment_gateway_checkbox" data-id="<?php echo htmlspecialchars($paymentGateway->id)?>" id="input_wc_payment_gateway_<?php echo htmlspecialchars($paymentGateway->id)?>"<?php echo $paymentGateway->enabled == 'enabled' || $paymentGateway->enabled == 'yes' ? ' checked' : ''?>>
							<label class="fs_onoffswitch-label" for="input_wc_payment_gateway_<?php echo htmlspecialchars($paymentGateway->id)?>"></label>
						</div>
					</div>
				</div>
				<div class="col-md-3 d-flex align-items-center">
					<a href="<?php echo admin_url('admin.php?page=' . \BookneticApp\Providers\Core\Backend::getSlugName() . '&module=wcpaymentgateway&action=woocommerce_gateway_settings&wc_payment_gateway_id=' . htmlspecialchars($paymentGateway->id))?>" style="" class="btn btn-default"><?php echo bkntc__('Set up')?></a>
				</div>
			</div>

		<?php endforeach;?>

	<?php endif; ?>

<?php endif; ?>