(function ( $ )
{
    'use strict';

    $( document ).ready( function ()
    {

        $( '#booknetic_settings_area' ).on( 'change', '.step_switch .fs_onoffswitch-checkbox', function ()
        {
            let _this = $( this );
            let id    = _this.attr( 'id' );

            if ( id === 'enable_gateway_woocommerce' && _this.is( ':checked' ) )
            {
                $( '.step_switch .fs_onoffswitch-checkbox:not(#enable_gateway_woocommerce):not(#enable_gateway_local):checked' ).prop( 'checked', false );
            }
            else if ( _this.is( ':checked' ) && id !== 'enable_gateway_local' )
            {
                $( '#enable_gateway_woocommerce' ).prop( 'checked', false );
            }
        });

        booknetic.initKeywordsInput($('#input_woocommerde_order_details'), all_shortcodes_obj);
        booknetic.addFilter( 'ajax_settings.save_payment_gateways_settings', function ( params )
        {
            if ( $( '#enable_gateway_woocommerce' ).is( ':checked' ) )
            {
                let woocommerce_skip_confirm_step     = $( '#input_woocommerce_skip_confirm_step' ).is( ':checked' ) ? 'on' : 'off',
                    woocommerce_rediret_to            = $( '#input_woocommerce_rediret_to' ).val(),
                    woocommerde_order_details         = $( '#input_woocommerde_order_details' ).val(),
                    woocommerce_order_statuses        = $('#input_woocommerce_order_statuses').val().join(','),
                    wc_payment_gateways               = {},
                    woocommerce_approved_order_status = $('#input_woocommerce_approved_order_status').val();

                $( '.woocommerce_payment_gateway_checkbox' ).each( function ()
                {
                    let id      = $( this ).data( 'id' );
                    let checked = $( this ).is( ':checked' );

                    wc_payment_gateways[ id ] = checked ? 'on' : 'off';
                } );

                params.append('woocommerce_skip_confirm_step', woocommerce_skip_confirm_step)
                params.append('woocommerce_rediret_to', woocommerce_rediret_to)
                params.append('woocommerde_order_details', woocommerde_order_details)
                params.append('woocommerce_order_statuses', woocommerce_order_statuses)
                params.append('wc_payment_gateways', JSON.stringify( wc_payment_gateways ))
                params.append('woocommerce_approved_order_status', woocommerce_approved_order_status)
            }

            return params;
        } );

        $("#input_woocommerce_order_statuses").select2({
            theme: 'bootstrap',
            placeholder: booknetic.__('select_services'),
            allowClear: true
        });

        $("#input_woocommerce_approved_order_status").select2({
            theme: 'bootstrap',
            placeholder: booknetic.__('select_services'),
        });

    } );

})( jQuery );