( function ( $ ) {
	'use strict';

	$( document ).ready( function () {

		bookneticHooks.addAction( 'ajax_after_get_data_confirm_details_success', function ( booknetic, params, result ) {
			const isLocalPaymentEnabled = 'is_local_payment_enabled' in result && result[ 'is_local_payment_enabled' ] === true;
			let isWoocommerceEnabled = 'is_woocommerce_enabled' in result && result[ 'is_woocommerce_enabled' ] === true;
			let skipConfirmationStep = ( 'woocommerce_skip_confirmation' in result && [ 'on', 'off' ].includes( result[ 'woocommerce_skip_confirmation' ] ) ? result[ 'woocommerce_skip_confirmation' ] : 'on' ) === 'on';
			let hasDeposit			 = ( 'has_deposit' in result && typeof result[ 'has_deposit' ] === 'boolean' ) ? result[ 'has_deposit' ] : true;

			bookneticHooks.addAction( 'loaded_step_confirm_details', function ( booknetic ) {
				if ( isWoocommerceEnabled && !isLocalPaymentEnabled )
				{
					$( '.booknetic_payment_methods' ).addClass( 'booknetic_hidden' );

					if ( skipConfirmationStep && ! hasDeposit )
					{
						$( '.booknetic_confirm_step_body, .booknetic_confirm_date_time' ).addClass( 'booknetic_hidden' );
						$( '.booknetic_confirm_step_body' ).after( `<div class="booknetic_confirm_date_time booknetic_text_primary booknetic_redirect_to_wc">${booknetic.__('automatically_redirecting_to_order_page')}</div>` );
						booknetic.panel_js.find( '.booknetic_next_step' ).attr( 'disabled', false );
						booknetic.confirmAppointment();

					}
				}
			}, 'addon-woocommerce' );
		} );

		bookneticHooks.addAction( 'ajax_after_confirm_success', function ( booknetic, params, result ) {
			if ( booknetic.getSelected.paymentMethod() === 'woocommerce' && 'woocommerce_cart_url' in result )
			{
				booknetic.loading( 1 );

				window.location.href = result[ 'woocommerce_cart_url' ];
			}
		} );

	} );

} )( jQuery );